Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Cache_Entries.h File Reference

`#include "tao/Transport_Descriptor_Interface.h"`
`#include "tao/Cache_Entries.inl"`

Include dependency graph for Cache_Entries.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
## Classes
class | TAO::Cache_IntId
| Helper class for TAO_Transport_Cache_Manager. More...
class | TAO::Cache_ExtId
| Helper class for TAO_Transport_Cache_Manager: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of the Transport Cache. More...
## Enumerations
enum | Cache_Entries_State { ENTRY_IDLE_AND_PURGABLE, ENTRY_IDLE_BUT_NOT_PURGABLE, ENTRY_PURGABLE_BUT_NOT_IDLE, ENTRY_BUSY, ENTRY_CLOSED, ENTRY_UNKNOWN }

## Detailed Description

Id
  Cache_Entries.h,v 1.26 2005/11/02 07:13:02 ossama Exp

Author:
  Bala Natarajan <bala@cs.wustl.edu>

## Enumeration Type Documentation

enum Cache_Entries_State

  | States of a recyclable object. @todo: A lifecycle needs to be designed. It can wait for sometime. Enumeration values:
  ENTRY_IDLE_AND_PURGABLE | Idle and can be purged.
  ENTRY_IDLE_BUT_NOT_PURGABLE | Idle but cannot be purged.
  ENTRY_PURGABLE_BUT_NOT_IDLE | Can be purged, but is not idle (mostly for debugging).
  ENTRY_BUSY | Busy (i.e., cannot be recycled or purged).
  ENTRY_CLOSED | Closed.
  ENTRY_UNKNOWN | Unknown state.